summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Dolbec <dolsen@gentoo.org>2017-07-11 02:46:02 +0000
committerBrian Dolbec <dolsen@gentoo.org>2017-07-15 02:20:06 +0000
commite4e2c635cd6d2cf117385673c03e5fd41d0f1209 (patch)
tree5a875f16cad66bca00d089c1e1f500c93207c5ba /metadata
parentmetadata/repoman: Add new repository.yaml cofiguration file (diff)
downloadgentoo-e4e2c635cd6d2cf117385673c03e5fd41d0f1209.tar.gz
gentoo-e4e2c635cd6d2cf117385673c03e5fd41d0f1209.tar.bz2
gentoo-e4e2c635cd6d2cf117385673c03e5fd41d0f1209.zip
metadata/repoman: Add new linechecks.yaml file
Diffstat (limited to 'metadata')
-rw-r--r--metadata/repoman/linechecks.yaml272
1 files changed, 272 insertions, 0 deletions
diff --git a/metadata/repoman/linechecks.yaml b/metadata/repoman/linechecks.yaml
new file mode 100644
index 00000000000..e8755bfaa92
--- /dev/null
+++ b/metadata/repoman/linechecks.yaml
@@ -0,0 +1,272 @@
+---
+# linecheck.yaml
+
+# configuration file for the LineCheck plugins run via the multicheck
+# scan module
+# no random drive-by commits please
+# Please obtain authorization from the portage team
+#
+# Overlay maintainers override/add/negate checks at your discression
+# but support for third party module will be limited to the plugin API
+#
+
+errors:
+ COPYRIGHT_ERROR: 'Invalid Gentoo Copyright on line: %d'
+ LICENSE_ERROR: 'Invalid Gentoo/GPL License on line: %d'
+ ID_HEADER_ERROR: 'Stale CVS header on line: %d'
+ NO_BLANK_LINE_ERROR: 'Non-blank line after header on line: %d'
+ LEADING_SPACES_ERROR: 'Ebuild contains leading spaces on line: %d'
+ TRAILING_WHITESPACE_ERROR: 'Trailing whitespace error on line: %d'
+ READONLY_ASSIGNMENT_ERROR: 'Ebuild contains assignment to read-only variable on line: %d'
+ MISSING_QUOTES_ERROR: 'Unquoted Variable on line: %d'
+ NESTED_DIE_ERROR: 'Ebuild calls die in a subshell on line: %d'
+ PATCHES_ERROR: 'PATCHES is not a bash array on line: %d'
+ REDUNDANT_CD_S_ERROR: 'Ebuild has redundant cd ${S} statement on line: %d'
+ EMAKE_PARALLEL_DISABLED: 'Upstream parallel compilation bug (ebuild calls emake -j1 on line: %d)'
+ EMAKE_PARALLEL_DISABLED_VIA_MAKEOPTS: 'Upstream parallel compilation bug (MAKEOPTS=-j1 on line: %d)'
+ DEPRECATED_BINDNOW_FLAGS: 'Deprecated bindnow-flags call on line: %d'
+ EAPI_DEFINED_AFTER_INHERIT: 'EAPI defined after inherit on line: %d'
+ NO_AS_NEEDED: 'Upstream asneeded linking bug (no-as-needed on line: %d)'
+ PRESERVE_OLD_LIB: 'Ebuild calls deprecated preserve_old_lib on line: %d'
+ BUILT_WITH_USE: 'built_with_use on line: %d'
+ NO_OFFSET_WITH_HELPERS: 'Helper function is used with D, ROOT, ED, EROOT or EPREFIX on line: %d'
+ SANDBOX_ADDPREDICT: 'Ebuild calls addpredict on line: %d'
+ USEQ_ERROR: 'Ebuild calls deprecated useq function on line: %d'
+ HASQ_ERROR: 'Ebuild calls deprecated hasq function on line: %d'
+ URI_HTTPS: 'Ebuild uses http:// but should use https:// on line: %d'
+
+eclass_export_functions:
+ - ant-tasks
+ - apache-2
+ - apache-module
+ - aspell-dict
+ - autotools-utils
+ - base
+ - bsdmk
+ - cannadic
+ - clutter
+ - cmake-utils
+ - db
+ - distutils
+ - elisp
+ - embassy
+ - emboss
+ - emul-linux-x86
+ - enlightenment
+ - font-ebdftopcf
+ - font
+ - fox
+ - freebsd
+ - freedict
+ - games
+ - games-ggz
+ - games-mods
+ - gdesklets
+ - gems
+ - gkrellm-plugin
+ - gnatbuild
+ - gnat
+ - gnome2
+ - gnome-python-common
+ - gnustep-base
+ - go-mono
+ - gpe
+ - gst-plugins-bad
+ - gst-plugins-base
+ - gst-plugins-good
+ - gst-plugins-ugly
+ - gtk-sharp-module
+ - haskell-cabal
+ - horde
+ - java-ant-2
+ - java-pkg-2
+ - java-pkg-simple
+ - java-virtuals-2
+ - kde4-base
+ - kde4-meta
+ - kernel-2
+ - latex-package
+ - linux-mod
+ - mozlinguas
+ - myspell
+ - myspell-r2
+ - mysql
+ - mysql-v2
+ - mythtv-plugins
+ - oasis
+ - obs-service
+ - office-ext
+ - perl-app
+ - perl-module
+ - php-ext-base-r1
+ - php-ext-pecl-r2
+ - php-ext-source-r2
+ - php-lib-r1
+ - php-pear-lib-r1
+ - php-pear-r1
+ - python-distutils-ng
+ - python
+ - qt4-build
+ - qt4-r2
+ - rox-0install
+ - rox
+ - ruby
+ - ruby-ng
+ - scsh
+ - selinux-policy-2
+ - sgml-catalog
+ - stardict
+ - sword-module
+ - tetex-3
+ - tetex
+ - texlive-module
+ - toolchain-binutils
+ - toolchain
+ - twisted
+ - vdr-plugin-2
+ - vdr-plugin
+ - vim
+ - vim-plugin
+ - vim-spell
+ - virtuoso
+ - vmware
+ - vmware-mod
+ - waf-utils
+ - webapp
+ - xemacs-elisp
+ - xemacs-packages
+ - xfconf
+ - x-modular
+ - xorg-2
+ - zproduct
+
+eclass_info_experimental_inherit:
+ autotools:
+ funcs:
+ - eaclocal
+ - eautoconf
+ - eautoheader
+ - eautomake
+ - eautoreconf
+ - _elibtoolize
+ - eautopoint
+ comprehensive: true
+ # Exempt eclasses:
+ # git - An EGIT_BOOTSTRAP variable may be used to call one of
+ # the autotools functions.
+ # subversion - An ESVN_BOOTSTRAP variable may be used to call one of
+ # the autotools functions.
+ exempt_eclasses:
+ - git
+ - git-2
+ - subversion
+ - autotools-utils
+ eutils:
+ funcs:
+ - estack_push
+ - estack_pop
+ - eshopts_push
+ - eshopts_pop
+ - eumask_push
+ - eumask_pop
+ - epatch
+ - epatch_user
+ - emktemp
+ - edos2unix
+ - in_iuse
+ - use_if_iuse
+ - usex
+ comprehensive: false
+ flag-o-matic:
+ funcs:
+ - 'filter-(ld)?flags'
+ - 'strip-flags'
+ - 'strip-unsupported-flags'
+ - 'append-((ld|c(pp|xx)?))?flags'
+ - 'append-libs'
+ comprehensive: false
+ libtool:
+ funcs:
+ - elibtoolize
+ comprehensive: true
+ exempt_eclasses:
+ - autotools
+ multilib:
+ funcs:
+ - get_libdir
+ # These are "eclasses are the whole ebuild" type thing.
+ exempt_eclasses:
+ - autotools
+ - libtool
+ - multilib-minimal
+ comprehensive: false
+ multiprocessing:
+ funcs:
+ - makeopts_jobs
+ comprehensive: false
+ prefix:
+ funcs:
+ - eprefixify
+ comprehensive: true
+ toolchain-funcs:
+ funcs:
+ - gen_usr_ldscript
+ comprehensive: false
+ user:
+ funcs:
+ - enewuser
+ - enewgroup
+ - egetent
+ - egethome
+ - egetshell
+ - esethome
+ comprehensive: true
+
+# non experimental_inherit
+eclass_info:
+ autotools:
+ funcs:
+ - eaclocal
+ - eautoconf
+ - eautoheader
+ - eautomake
+ - eautoreconf
+ - _elibtoolize
+ - eautopoint
+ comprehensive: true
+ ignore_missing: true
+ # Exempt eclasses:
+ # git - An EGIT_BOOTSTRAP variable may be used to call one of
+ # the autotools functions.
+ # subversion - An ESVN_BOOTSTRAP variable may be used to call one of
+ # the autotools functions.
+ exempt_eclasses:
+ - git
+ - git-2
+ - subversion
+ - autotools-utils
+ prefix:
+ funcs:
+ - eprefixify
+ comprehensive: true
+
+usex_supported_eapis:
+ - "0"
+ - "1"
+ - "2"
+ - "3"
+ - "4"
+ - "4-python"
+ - "4-slot-abi"
+
+in_iuse_supported_eapis:
+ - "0"
+ - "1"
+ - "2"
+ - "3"
+ - "4"
+ - "4-python"
+ - "4-slot-abi"
+ - "5"
+ - "5-hdepend"
+ - "5-progress"